<template>
  <!-- <div>
    <p v-if="$fetchState.pending">Fetching News...</p>
    <p v-else-if="$fetchState.error">An error occurred :(</p>
    <div v-else>
      <div v-for="mountain of mountains" :key="mountain.id">
        <v-card class="mx-auto my-12" max-width="374">
          <v-card-title>{{ mountain.title }}</v-card-title>
        </v-card>
      </div>
    </div>
    <div
      class="fb-comments"
      v-bind:data-href="getLink"
      data-width="370"
      data-numposts="3"
    ></div>
  </div> -->
  <v-container mt-4>
    <v-row>
      <p v-if="$fetchState.pending">Fetching News...</p>
      <p v-else-if="$fetchState.error">An error occurred :(</p>
      <v-card light height="100%">
        <div v-for="mountain of mountains" :key="mountain.id">
          <v-img
            :src="`https://api20.cicdhosting.com${mountain.images[0].url}`"
            aspect-ratio="2.75"
          ></v-img>
          <v-card-title>{{ mountain.title }}</v-card-title>
          <v-card-text>{{ mountain.description }}</v-card-text>
          <p class="text-left">{{ mountain.content }}</p>
        </div>
        <div
          class="fb-comments"
          v-bind:data-href="getLink"
          data-width="370"
          data-numposts="3"
        ></div>
      </v-card>
    </v-row>
  </v-container>
</template>

<script>
export default {
  data() {
    return {
      mountains: [],
      link: null,
      api: process.env.apiLink
    };
  },
  // computed: {
  //   // a computed getter
  //   htitle: function () {
  //     // `this` points to the vm instance
  //     return this.mountains[0].title
  //   }
  // },
  async fetch() {
    var ResponseURL = this.$route.fullPath;
    var str = ResponseURL.split("/");
    // console.log(str[str.length - 1]);
    var slug = str[str.length - 1];
    this.mountains = await fetch(
      process.env.apiLink + "?slug=" + slug
    ).then(res => res.json());
  },
  fetchOnServer: false,
  computed: {
    getLink: function() {
      let link = "https://perfectpolitics.in" + this.$route.fullPath;
      return link;
    }
  },
  head() {
    return {
      title: "htitle",
      meta: [{ name: "description", content: "singleNews.title" }],
      link: [{ rel: "canonical", href: "https://a.com" }]
    };
  }
};
</script>
